const axios = require('axios');
const fs = require('fs');

async function create_image(host, access_token, file_path) {
    const create = axios.post(`${host}/api/drive/files/create`, {
        file: fs.createReadStream(file_path)
    }, {
        headers: {
            'Content-Type': 'multipart/form-data',
            'Authorization': `Bearer ${access_token}`
        }
    });

    return create;
};

async function create_note(host, access_token, text, media_ids, visibility) {
    axios.post(`${host}/api/notes/create`, {
        text: text,
        mediaIds: media_ids, 
        visibility: visibility
    }, {
        headers: {
            'Authorization': `Bearer ${access_token}`
        }
    }).then((data) => {
        return data.json();
    });
}

module.exports.create_image = create_image;